<?php
/**
* Sets settings for general fields
*
* @since  Reef 0.1
* @param  array $settings
* @return array Merged array
*/

function reef_customizer_general_settings( $settings ){

	$general = array(
		'show_title' => array(
			'label'     => esc_html__( 'Show Title', 'reef' ),
			'transport' => 'postMessage',
			'section'   => 'title_tagline',
			'type'      => 'checkbox',
		),
		'show_tagline' => array(
			'label'     => esc_html__( 'Show Tagline', 'reef' ),
			'transport' => 'postMessage',
			'section'   => 'title_tagline',
			'type'      => 'checkbox',
		),
		'site_title_color' => array(
			'label'     => esc_html__( 'Site Title', 'reef' ),
			'transport' => 'postMessage',
			'section'   => 'colors',
			'type'      => 'colors',
		),
		'site_tagline_color' => array(
			'label'     => esc_html__( 'Site Tagline', 'reef' ),
			'transport' => 'postMessage',
			'section'   => 'colors',
			'type'      => 'colors',
		),
		'site_primary_color' => array(
			'label'     => esc_html__( 'Primary', 'reef' ),
			'section'   => 'colors',
			'type'      => 'colors',
		),

		# Theme Options Section
		'enable_full_background' => array(
			'label'     => esc_html__( 'Enable Full White Background', 'reef' ),
			'section'   => 'theme_options',
			'transport' => 'postMessage',
			'type'      => 'checkbox'
		),
		'enable_alt_menu' => array(
			'label'     => esc_html__( 'Enable Alternative Menu', 'reef' ),
			'section'   => 'theme_options',
			'transport' => 'postMessage',
			'type'      => 'checkbox'
		),
		'enable_sticky_sidebar' => array(
			'label'     => esc_html__( 'Enable Sticky Sidebar', 'reef' ),
			'section'   => 'theme_options',
			'type'      => 'checkbox'
		),
		'enable_scroll_top_in_mobile' => array(
			'label'     => esc_html__( 'Enable Scroll top in mobile', 'reef' ),
			'section'   => 'theme_options',
			'transport' => 'postMessage',
			'type'      => 'checkbox' ,
		),
		'disable_sidebar_in_single_page' => array(
			'label'   => esc_html__( 'Disable Sidebar in Single Page.', 'reef' ),
			'section' => 'theme_options',
			'type'    => 'checkbox'
		),
		'inner_banner' => array(
			'label'   => esc_html__( 'Choose Inner Banner Image.', 'reef' ),
			'section' => 'theme_options',
			'type'    => 'image'
		),
	);

	return array_merge( $settings, $general );
}
add_filter( 'reef_customizer_fields', 'reef_customizer_general_settings' );