<?php
/**
* Load widget components
*
* @since Reef 0.1
*/
require_once get_parent_theme_file_path( '/modules/widgets/class-base-widget.php' );
require_once get_parent_theme_file_path( '/modules/widgets/keon-sb-about.php' );
require_once get_parent_theme_file_path( '/modules/widgets/keon-highlighted-posts.php' );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 *
 * @since Reef 0.1
 */
function reef_widgets_init() {

	register_sidebar( array(
		'name'          => esc_html__( 'Right Sidebar', 'reef' ),
		'id'            => 'right-sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'reef' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer', 'reef' ),
		'id'            => 'footer-sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'reef' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s col-md-4 col-sm-4 col-xs-12"><section class="footer-item">',
		'after_widget'  => '</section></div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

}
add_action( 'widgets_init', 'reef_widgets_init' );

/**
 * Register widgets
 *
 * @since Reef 0.1
 */
function reef_register_widget() {

	$widgets = array(
		'Reef_Recent_Popular_Posts_Widget',
		'Reef_About_Widget',
	);

	foreach ( $widgets as $key => $value) {
    	register_widget( $value );
	}
}
add_action( 'widgets_init', 'reef_register_widget' );

