<?php
/**
 * Template part for displaying audio posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @since Reef 0.1
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-content' ); ?>>
    <div class="post-content-inner">
        <?php
        $content = apply_filters( 'the_content', get_the_content() );
        $audio = false;
        # Only get audio from the content if a playlist isn't present.
        if ( false === strpos( $content, 'wp-playlist-script' ) ) {
            $audio = get_media_embedded_in_content( $content, array( 'audio' ) );
        }

        $args = array(
            'size'  => 'reef-full-widget',
            'dummy' => false
        );

        if( is_single() ){
            $args[ 'permalink' ] = false;
        }

        reef_post_thumbnail( $args );
        
		reef_entry_header();
		?>
        <div class="post-text">
    	<?php
    		if( is_single() ){

                # Prints out the contents of this post after applying filters.
    			the_content();
    			wp_link_pages( array(
    				'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'reef' ),
                    'after'       => '</div>',
                    'link_before' => '<span class="page-number">',
                    'link_after'  => '</span>',
    			) );
       		}else{

                # If not a single post, highlight the audio file.
                if ( ! empty( $audio ) ) {
                    foreach ( $audio as $audio_html ) {
                        echo '<div class="entry-audio">';
                            echo $audio_html;
                        echo '</div><!-- .entry-audio -->';
                    }
                };

    			reef_excerpt( 15 );
       		} 
    	?>
        </div>
        <?php reef_entry_footer(); ?>
    </div>
</article>